<div class="row col">
    <!--Recherche par nomproduit-->
    <div class="pull-right col-lg-3">
      <div class="input-group">
  
        <input type="text" style="height: 50px;" class="form-control" placeholder="Rechercher par nomproduit">
        <span class="input-group-btn">
          <button style="height: 50px;"  class="btn btn-outline-secondary" type="button" (click)="searchNomproduit()">
            Recherche
          </button>
        </span>
      </div>
    </div>
    
    <!-- LISTE DES PRODUITS -->
    <div class="list row col1 ">
      <h3 style="
                    font-size: 35px;
                    color: #f7f7f8; 
                    margin-top: 40px;
                    ">
        Liste des produits
      </h3>
   
      <div class="col-md-3">
        <ul style="border: #29292b;" class="list-group">
          <li style="border: #29292b; height: 60px; width: 250px;font-size: 20px;" 
          class="list-group-item" 
          *ngFor="let produit of products; let i = index" 
            [class.active]="i == currentIndex"
            (click)="setActiveProduit(produit , i)">
           <strong style="font-size: 15px;"><label>Nom produit :</label> </strong>
             <strong style="font-size: 10px;">{{ produit.nomproduit}}</strong>
          </li>
        </ul>
      </div>
     
      <!--Selectionne d'un produit-->
      <div class="col-md-6" style="margin-left: 30px; " >
        <div *ngIf="currentProduit">
          <h2 style="font-size: 30px; color: #f7f7f8;"> Produit sélectionné:  </h2>
          <div>
            <label style="font-size: 20px;text-decoration: underline;color: #000000;"><strong>Nom Produit: </strong></label> 
            <strong style="font-size: 20px; margin-left: 5px;color:#000000; " > {{ currentProduit.nomproduit }}</strong> 
          </div>
  
          <div>
            <label style="font-size: 20px;text-decoration: underline;color: #000000;"><strong>Tests:  </strong></label>
        
              <strong style="font-size: 20px; margin-left: 5px;color: #141313; "  > {{currentProduit.tests[0].tests}}
              </strong>
              <strong style="font-size: 20px; margin-left: 5px;color: #141313; "  > {{currentProduit.tests[1].tests}}
              </strong>
              <strong style="font-size: 20px; margin-left: 5px;color: #141313; "  > {{currentProduit.tests[2].tests}}
              </strong>
              <strong style="font-size: 20px; margin-left: 5px;color: #141313; "  > {{currentProduit.tests[3].tests}}
              </strong>
              <strong style="font-size: 20px; margin-left: 5px;color: #141313; "  > {{currentProduit.tests[4].tests}}
              </strong>
             
              
              <!--<strong style="font-size: 20px; margin-left: 5px;color: #141313; "  > {{currentProduit.tests[4].nomtest}}
              </strong>-->
  
          </div>
  
          <button id="btnajout" style=" background-color: #67676b; font-size: 25px; border-radius: 10px; font-style: oblique; color: #f7f7f8; height: 50px;width: 200px; ">
          <a id="btnajout"
          style=" background-color: #67676b; font-size: 25px; border-radius: 10px; font-style: oblique; color: #f7f7f8; height: 50px;width: 200px; margin-left: 20px; margin-right: 20px;"
          class="nav-link" 
          [routerLink]="'detail_produits/'+currentProduit.id">
            Modifier
          </a>
          </button>
        </div>
      </div>
  </div>
  
     <!-- Ajouter un nouveau utilisateur -->
     <div (ngSubmit)="onSubmit2()">
      <button id="btnajout" style=" color:  #f7f7f8;; background-color: #67676b; margin-left: 160px; font-size: 25px; font-style: oblique;height: 50px; width: 300px ; border-radius: 10px;" class="btn"
        (click)="onSubmit2()" routerLink="ajout_produit">
        Ajouter un produit
      </button>
      </div>